<template>
  <div
    :class="{ mt20: !capt }"
    class="table-container left"
  >
    <!--This component is DEPRECATED. Post any updates in ObSinglePane.vue -->
    <!--Этот компонент устарел. Любые изменения писать в ObSinglePane.vue -->
    <!--Если в вашем проекте используется старый компонент - переезжайте на новый-->
    <template v-if="backlink || noUrlbacklink">
      <span
        class="icon chevron-left"
        @click="goBack"
      />
      <span
        class="caption"
        :data-qa="dataQa"
        @click="goBack"
      >
        {{ capt }}
      </span>
    </template>
    <template v-else>
      <span>{{ capt }}</span>
    </template>
    <div
      v-if="$slots['header']"
      class="header"
    >
      <slot name="header" />
    </div>
    <slot />
  </div>
</template>
<script>

export default {
  name: 'ObSinglePanels',
  props: {
    capt: String,
    backlink: Object,
    noUrlbacklink: Boolean,
    dataQa: {
      type: String
    }
  },
  methods: {
    goBack () {
      if (this.noUrlbacklink) {
        this.$emit('stepBack')
      } else {
        this.$router.push(this.backlink)
      }
    }
  }
}
</script>
<style
  scoped
  lang='scss'
>
  .header {
    display: flex;
    align-items: center;
    line-height: 16px;
    border-bottom: 1px solid lightgrey;
    padding: 7px 0;
    min-height: 37px;
  }
  .left {
    width: 98%;
    min-width: 20%;
    display: flex;
    margin: 48px 20px 20px 20px;

    &.mt20 {
      margin-top: 20px;
    }
  }
  .table-container {
    min-height: calc(100% - 66px);
    display: flex;
    flex-direction: column;
    background: $background-white;
    box-shadow: 0 0 10px rgba($color-blue-navy-blue, 0.25);
    border-radius: 3px;
  }
  .table-container > span {
    position: absolute;
    margin: -30px 0 0 20px;
    font-family: Roboto, sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 1.6px;
    text-transform: uppercase;
    color: $color-blue-navy-blue;
    &.caption {
      left: 50px;
      cursor: pointer;
    }
    &.icon {
      cursor: pointer;
      font-size: 24px;
    }
  }
</style>
